Bug 1061858 (CVE-2014-0045) - CVE-2014-0045 mumble: NULL pointer dereference leads to denial of service
Summary: CVE-2014-0045 mumble: NULL pointer dereference leads to denial of service
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0045
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140205,repor...
Depends On: 1061859
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 18:43 UTC by Vincent Danen
Modified: 2019-06-08 19:54 UTC (History)
3 users (show)

Fixed In Version: mumble 1.2.5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-09 21:18:11 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-02-05 18:43:42 UTC
A denial of service flaw, with possible (but unconfirmed) arbitrary code execution, was reported [1] in Mumble:


A malformed Opus voice packet sent to a Mumble client could trigger a heap-based buffer overflow. This causes a client crash (Denial of Service) and can potentially be used to execute arbitrary code, though this is unconfirmed.

This issue can be triggered remotely by an entity participating in a Mumble voice chat.

This has been corrected in upstream version 1.2.5 [2].

[1] http://mumble.info/security/Mumble-SA-2014-002.txt
[2] https://github.com/mumble-voip/mumble/commit/d3be3d7b96a5130e4b20f23e327b040ea4d0b079

Comment 1 Vincent Danen 2014-02-05 18:46:06 UTC
Created mumble tracking bugs for this issue:

Affects: fedora-all [bug 1061859]

Comment 2 Fedora Update System 2014-05-08 10:01:28 UTC
mumble-1.2.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-05-08 10:02:59 UTC
mumble-1.2.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.